## org.eclipse.datatools.connectivity.oda.util.manifest
Class DataSetType

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.DataSetType

public class DataSetType
extends java.lang.Object

Defines a type of data set supported by the ODA data source extension. A data set definition has a unique id, display name and a set of driver to ODA data type mappings.

Method Summary
`DataTypeMapping` `getDataTypeMapping(int nativeDataTypeCode)` Returns the data type mapping for the specified native data type code.
`DataTypeMapping[]` `getDataTypeMappings()` Returns the data type mappings for the data set type, or an empty array if no mappings exist.
`int` `getDefaultOdaDataTypeCode(int nativeDataTypeCode)` Returns the primary ODA scalar data type code that the specified native data type is mapped to.
`java.lang.String` `getDisplayName()` Returns the display name of the ODA data set type element.
`java.lang.String` `getID()` Returns the ID which uniquely identifes the type of data set among all ODA data sets supported by the driver.
`Property[]` `getProperties()` Returns an array of Property definition instances that represent the properties defined by this data set element.
`java.util.Properties` `getPropertiesVisibility()` Returns a Properties collecton of property visibilty settings.
`Property` `getProperty(java.lang.String propertyName)` Returns the Property definition instance that matches the specified name in the list of properties defined by this data set element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getID

    public java.lang.String getID()

  Returns the ID which uniquely identifes the type of data set among all ODA data sets supported by the driver.

  Returns:
    the data set type name.

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name of the ODA data set type element. Defaults to element ID if no display name is specified. It can be used by the designer tool of an ODA consumer application to display a list of ODA data sets.

  Returns:
    The display name of the ODA data set element.

### getDataTypeMapping

    public DataTypeMapping getDataTypeMapping(int nativeDataTypeCode)

  Returns the data type mapping for the specified native data type code.

  Parameters:
    `nativeDataTypeCode` - the native data type code.
  Returns:
    the data type mapping for the native type code, or null if there is no data type mapping for the native type code in the data set type.

### getDataTypeMappings

    public DataTypeMapping[] getDataTypeMappings()

  Returns the data type mappings for the data set type, or an empty array if no mappings exist.

  Returns:
    the data type mappings for this data set type, or an empty array if no mappings exist.

### getDefaultOdaDataTypeCode

    public int getDefaultOdaDataTypeCode(int nativeDataTypeCode)

  Returns the primary ODA scalar data type code that the specified native data type is mapped to.
  If none or unknown native data type value (0) is specified, maps to an ODA String data type by default. If no default ODA data type mapping is defined by the driver for the specified native data type, returns Types.NULL for unknown ODA data type.

  Returns:
    the primary ODA scalar data type code; may be java.sql.Types.NULL if no mapping is found.

### getProperties

    public Property[] getProperties()

  Returns an array of Property definition instances that represent the properties defined by this data set element. The collection includes both top-level properties and those in a group.

  Returns:
    an array of property definitions; an empty array is returned if no properties are defined.

### getProperty

    public Property getProperty(java.lang.String propertyName)

  Returns the Property definition instance that matches the specified name in the list of properties defined by this data set element.

  Parameters:
    `propertyName` - the name of a property
  Returns:
    the matching Property definition, or null if no match is found.

### getPropertiesVisibility

    public java.util.Properties getPropertiesVisibility()

  Returns a Properties collecton of property visibilty settings.

  Returns:
    Properties with the property name as key, and its visibility setting as value. An empty collection if no property visibility is defined.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.